# Applying and exposing a solder mask

[[Home|/home]] ► [[Electronics|/electronics]] ► [[Circuit board fabrication|/electronics/pcbfabrication]] ► Applying and exposing a solder mask

___

**Prerequisites**

* [Solder mask printed on a transparency](transparencies)
* [Etched board, photoresist removed](etching)
* [UV curable solder mask](/electronics/bom#consumables_uv-curable-solder-mask)
* [UV light source](/electronics/bom#hardware_uv-light-source)
* Squeegee / card
* Thin polyethyleen film (see below)
* Leftover transparency
* Paper towels
* Acetone

The polyethyleen prevents the paint from sticking to the transparency. I started out using cling film, which works but tends to wrinkle. A better alternative I found is a disposable sandwich bag.

[[soldermask/sandwichbag.jpg]]


## Applying the paint
1. Put some paint on the board. Not too much, we want a thin coat. Exactly how much and where to apply it initally is a matter of experimenting. Some people work from the middle outwards, I tend to put little blobs all over the board.
1. Put a piece of polyethyleen on top and cover that with the transparency. The transparency will prevent tearing in the next step.
1. Spread the paint with the squeegee. Try to get it as even as possible. You should still be able to see the traces underneath, or any other reference points like drilled holes if you're using a dark paint.

## Exposing
1. Remove the temporary transparency but keep the polyethyleen on.
1. Put the solder mask transparency on top of the board with the printed side facing down.
1. Expose the board. You’ll want to experiment a bit, with my UV box I run it for 1:30 on 50%.

## Cleaning up
1. Remove the transparency and polyethyleen film.
1. Wipe the board with a paper towel to remove most of the unexposed paint/
1. Apply some acetone to a paper towel and do a final cleaning.

Before soldering, leave the board under the UV lights for a while or out in the sun to completely cure the paint.